#!/bin/sh

if [ "$2" != "PRE-INSTALL" ]; then
    exit 0
fi

USER=clamav
GROUP=clamav

if ! pw groupshow "$GROUP" 2>/dev/null 1>&2; then
	if pw groupadd $GROUP; then
		echo "=> Added group \"$GROUP\"."
	else
                echo "=> Adding group \"$GROUP\" failed..."
                exit 1
        fi
fi

if ! pw usershow "$USER" 2>/dev/null 1>&2; then
        if pw useradd $USER -g $GROUP -h - \
                -s "/sbin/nologin" -d "/nonexistent" \
                -c "Clam Antivirus"; \
        then
                echo "=> Added user \"$USER\"."
        else
                echo "=> Adding user \"$USER\" failed..."
                exit 1
        fi
fi
exit 0
